Get monitor report
curl --request GET \
--url https://api.itoflow.ai/watchlists/{id}/reports/{reportId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.itoflow.ai/watchlists/{id}/reports/{reportId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.itoflow.ai/watchlists/{id}/reports/{reportId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"completed_at": "<string>",
"execution_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"queued_at": "<string>",
"report_date": "<string>",
"run_type": "manual",
"started_at": "<string>",
"status": "queued",
"superseded_at": "<string>",
"watchlist_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"watchlist_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"published_at": "<string>",
"report": {},
"report_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"structured_dashboard": {},
"error_message": "<string>",
"task_id": "<string>",
"dataframe_snapshots": {}
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}Monitors
Get monitor report
Operation ID: get__watchlists_id_reports_reportId_.
GET
https://api.itoflow.ai
/
watchlists
/
{id}
/
reports
/
{reportId}
Get monitor report
curl --request GET \
--url https://api.itoflow.ai/watchlists/{id}/reports/{reportId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.itoflow.ai/watchlists/{id}/reports/{reportId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.itoflow.ai/watchlists/{id}/reports/{reportId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"completed_at": "<string>",
"execution_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"queued_at": "<string>",
"report_date": "<string>",
"run_type": "manual",
"started_at": "<string>",
"status": "queued",
"superseded_at": "<string>",
"watchlist_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"watchlist_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"published_at": "<string>",
"report": {},
"report_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"structured_dashboard": {},
"error_message": "<string>",
"task_id": "<string>",
"dataframe_snapshots": {}
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}Path Parameters
Response
Monitor report